from elf_addr_dict import ElfAddrObj
import os
import datetime

vars = ["L9301_CHxDIAG[0][0].U",
    "BswM_Cfg_GenericReqModeInfo_ast[0].isValidModePresent_b",
"BswM_Cfg_GenericReqModeInfo_ast[0].dataMode_u16",
"BswM_Cfg_GenericReqModeInfo_ast[1].isValidModePresent_b",
"BswM_Cfg_GenericReqModeInfo_ast[1].dataMode_u16",
"BswM_Cfg_CanSMIndicationModeInfo_ast[0].isValidModePresent_b",
"BswM_Cfg_CanSMIndicationModeInfo_ast[0].dataMode_en",
"BswM_Cfg_CanSMIndicationModeInfo_ast[1].isValidModePresent_b",
"BswM_Cfg_CanSMIndicationModeInfo_ast[1].dataMode_en",
"BswM_Cfg_CanSMIndicationModeInfo_ast[2].isValidModePresent_b",
"BswM_Cfg_CanSMIndicationModeInfo_ast[2].dataMode_en",
"BswM_Cfg_CanSMIndicationModeInfo_ast[3].isValidModePresent_b",
"BswM_Cfg_CanSMIndicationModeInfo_ast[3].dataMode_en",
"ComM_ChannelStruct[0].ChannelState_e",
"ComM_ChannelStruct[0].LightTimeoutCtr_u32",
"ComM_ChannelStruct[0].MinFullComTimeoutCtr_u16",
"ComM_ChannelStruct[0].BusSmMode_u8",
"ComM_ChannelStruct[0].UserRequestCtr_u8",
"ComM_ChannelStruct[0].PassiveRequestState_u8",
"ComM_ChannelStruct[0].PncRequestCtr_u8",
"ComM_ChannelStruct[0].InhibitionReqStatus_u8",
"ComM_ChannelStruct[0].NmNetworkRequestStatus_b",
"ComM_ChannelStruct[0].DiagnosticRequestState_b",
"ComM_ChannelStruct[0].CommunicationAllowed_b",
"ComM_ChannelStruct[0].NmBusSleepIndicationStatus_b",
"ComM_ChannelStruct[0].NmPrepareBusSleepIndicationStatus_b",
"ComM_ChannelStruct[0].NmNetworkModeStatus_b",
"ComM_ChannelStruct[1].ChannelState_e",
"ComM_ChannelStruct[1].LightTimeoutCtr_u32",
"ComM_ChannelStruct[1].MinFullComTimeoutCtr_u16",
"ComM_ChannelStruct[1].BusSmMode_u8",
"ComM_ChannelStruct[1].UserRequestCtr_u8",
"ComM_ChannelStruct[1].PassiveRequestState_u8",
"ComM_ChannelStruct[1].PncRequestCtr_u8",
"ComM_ChannelStruct[1].InhibitionReqStatus_u8",
"ComM_ChannelStruct[1].NmNetworkRequestStatus_b",
"ComM_ChannelStruct[1].DiagnosticRequestState_b",
"ComM_ChannelStruct[1].CommunicationAllowed_b",
"ComM_ChannelStruct[1].NmBusSleepIndicationStatus_b",
"ComM_ChannelStruct[1].NmPrepareBusSleepIndicationStatus_b",
"ComM_ChannelStruct[1].NmNetworkModeStatus_b",
"ComM_ChannelStruct[2].ChannelState_e",
"ComM_ChannelStruct[2].LightTimeoutCtr_u32",
"ComM_ChannelStruct[2].MinFullComTimeoutCtr_u16",
"ComM_ChannelStruct[2].BusSmMode_u8",
"ComM_ChannelStruct[2].UserRequestCtr_u8",
"ComM_ChannelStruct[2].PassiveRequestState_u8",
"ComM_ChannelStruct[2].PncRequestCtr_u8",
"ComM_ChannelStruct[2].InhibitionReqStatus_u8",
"ComM_ChannelStruct[2].NmNetworkRequestStatus_b",
"ComM_ChannelStruct[2].DiagnosticRequestState_b",
"ComM_ChannelStruct[2].CommunicationAllowed_b",
"ComM_ChannelStruct[2].NmBusSleepIndicationStatus_b",
"ComM_ChannelStruct[2].NmPrepareBusSleepIndicationStatus_b",
"ComM_ChannelStruct[2].NmNetworkModeStatus_b",
"ComM_ChannelStruct[3].ChannelState_e",
"ComM_ChannelStruct[3].LightTimeoutCtr_u32",
"ComM_ChannelStruct[3].MinFullComTimeoutCtr_u16",
"ComM_ChannelStruct[3].BusSmMode_u8",
"ComM_ChannelStruct[3].UserRequestCtr_u8",
"ComM_ChannelStruct[3].PassiveRequestState_u8",
"ComM_ChannelStruct[3].PncRequestCtr_u8",
"ComM_ChannelStruct[3].InhibitionReqStatus_u8",
"ComM_ChannelStruct[3].NmNetworkRequestStatus_b",
"ComM_ChannelStruct[3].DiagnosticRequestState_b",
"ComM_ChannelStruct[3].CommunicationAllowed_b",
"ComM_ChannelStruct[3].NmBusSleepIndicationStatus_b",
"ComM_ChannelStruct[3].NmPrepareBusSleepIndicationStatus_b",
"ComM_ChannelStruct[3].NmNetworkModeStatus_b",
"CanSM_currBOR_State_en[0]",
"CanSM_currBOR_State_en[1]",
"CanSM_currBOR_State_en[2]",
"CanSM_currBOR_State_en[3]",
"CanSM_CurrNw_Mode_en[0]",
"CanSM_CurrNw_Mode_en[1]",
"CanSM_CurrNw_Mode_en[2]",
"CanSM_CurrNw_Mode_en[3]",
"SafeWdgExtTlf_Data.JobState",
"SafeWdgExtTlf_Data.JobResult",
"SafeWdgExtTlf_Data.Syspcfg0",
"SafeWdgExtTlf_Data.Syspcfg1",
"SafeWdgExtTlf_Data.Wdcfg0",
"SafeWdgExtTlf_Data.Wwdcfg1",
"SafeWdgExtTlf_Data.Wdcfg1",
"SafeWdgExtTlf_Data.Fwdcfg"]


elf= ElfAddrObj(r"example\IC321_HEV150_SW2.0.253.elf")

for var in vars:
    print(var, hex(elf.get_var_addrs(var)))